package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc结算汇总对象 cmc_settle_summary
 * 
 * @author cmc
 * @date 2024-04-29
 */
public class CmcSettleSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 结算汇总id */
    private Long summaryId;

    /** 结算id */
    @Excel(name = "结算id")
    private String settleId;

    /** 结算内容 */
    @Excel(name = "结算内容")
    private String content;

    /** 表格编号 */
    @Excel(name = "表格编号")
    private String tableNumber;

    /** 结算金额 */
    @Excel(name = "结算金额")
    private BigDecimal amount;

    public void setSummaryId(Long summaryId)
    {
        this.summaryId = summaryId;
    }

    public Long getSummaryId()
    {
        return summaryId;
    }
    public void setSettleId(String settleId) 
    {
        this.settleId = settleId;
    }

    public String getSettleId() 
    {
        return settleId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setAmount(BigDecimal amount) 
    {
        this.amount = amount;
    }

    public BigDecimal getAmount() 
    {
        return amount;
    }
    public void setTableNumber(String tableNumber)
    {
        this.tableNumber = tableNumber;
    }

    public String getTableNumber()
    {
        return tableNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("summaryId", getSummaryId())
            .append("settleId", getSettleId())
            .append("content", getContent())
            .append("amount", getAmount())
            .append("remark", getRemark())
            .toString();
    }
}
